#!/usr/bin/env python2.4

#TODO: add netmask and gateway

## necessary: otherwise CryptoBoxRootActions.py will refuse to execute this script
PLUGIN_TYPE = "cryptobox"

IFCONFIG_BIN = "/sbin/ifconfig"
#TODO: put IFACE in config
IFACE = "eth0"

import subprocess
import re
import sys
import os


if __name__ == "__main__":
	args = sys.argv[1:]

	self_bin =sys.argv[0]
	
	if len(args) > 1:
		sys.stderr.write("%s: too many arguments (%s)\n" % (self_bin, args))
		sys.exit(1)
	
	if len(args) == 0:
		sys.stderr.write("%s: no argument supplied\n" % self_bin)
		sys.exit(1)
	
	match = re.search(u'^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$', args[0])	
	## did we match? If yes, then: are there wrong values inside?
	if not match or [e for e in match.groups() if int(e) > 255]:
		sys.stderr.write("%s: illegal argument (%s)\n" % (self_bin, args[0]))
		sys.exit(1)
	
	proc = subprocess.Popen(
		shell = False,
		args = [IFCONFIG_BIN, IFACE, args[0]])
	proc.wait()
	sys.exit(proc.returncode)

